Create a consent-document upload for a human recording
POST
/v1/projects/{projectId}/recordings/{recordingId}/privacy/consentscurl -X POST 'https://api.embodiflow.io/v1/projects/{projectId}/recordings/{recordingId}/privacy/consents' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"fileName": "string",
"contentType": "application/pdf",
"sizeBytes": 0,
"sha256": "string"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- projectIdstring必填
- recordingIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
请求体
Content-Typeapplication/json
- fileNamestring必填
- contentTypestring必填可选值application/pdfimage/jpegimage/png
- sizeBytesnumber必填
- sha256string必填
响应
Success
- dataobject必填
- consentIdstring必填
- uploadUrlstring必填
- uploadUrlExpiresAtstring必填
响应示例
{
"data": {
"consentId": "string",
"uploadUrl": "string",
"uploadUrlExpiresAt": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1